import networkx as nx
import pylab as plt

g = nx.Graph()	#nx.DiGraph()
g.add_node(0, {"handle": "@scinetHPC"})
g.add_node(1, {"handle": "@TBDS"})
g.add_edge(0, 1)

node_labels = nx.get_node_attributes(g,'handle')

plt.figure(figsize=(6,6))
plt.ion()

pos = nx.spring_layout(g)
nx.draw(g, pos, arrows=True, node_size=900)
nx.draw_networkx_labels(g, pos, labels = node_labels)




g = nx.DiGraph()
g.add_node(0, {"id": "@scinetHPC", "color": "r"})
g.add_node(1, {"id": "@TBDS", "color": "r"})
g.add_node(2, {"id": "Tweet #530038648860065793", "color": "orange"})
g.add_edge(0, 1, {"type": "follows"})
g.add_edge(0, 2, {"type": "tweeted"})

node_labels = nx.get_node_attributes(g,'id')
edge_labels = nx.get_edge_attributes(g,'type')
colors = nx.get_node_attributes(g, 'color')

plt.figure(figsize=(6,6))

pos = nx.spring_layout(g)
nx.draw(g, pos, arrows=True, node_size=900, node_color=colors.values())
nx.draw_networkx_labels(g, pos, labels = node_labels)
nx.draw_networkx_edge_labels(g, pos, labels = edge_labels)
